Skip to main content
Resource Center/Network Service/Network Service Operations/VIP Operations
GETVIP OperationsSince 2.3SynchronousAuth Required

GetVipQos

GetVipQos

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • uuidString

    Optional. The resource UUID.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • vipUuidStringRequired

      The VIP UUID.

    • portIntegerRequired

      The port.

    • inboundBandwidthLongRequired

      The outbound bandwidth of the response port.

    • outboundBandwidthLongRequired

      The inbound bandwidth of the response port.

    • typeStringRequired

      The QoS unit type.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/vip/{uuid}/vip-qos

/zstack/v1/vip/{uuid}/vip-qos

Operation ID

GetVipQos

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vip/{uuid}/vip-qos?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "5a0b0e4ab75c4fffa890cf085add862f", "vipUuid": "23349810e3874c2dad85042db1ac11dc", "port": 80.0, "inboundBandwidth": 1048576.0, "outboundBandwidth": 1048576.0 } ] }

Change History

This API has no change history records yet.

View all change history